package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 质量缺陷统计分析报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class QualityDefectsStatisticalAnalysis extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工厂
     */
    @Excel(name = "工厂")
    @JsonProperty("FACTORY_NAME")
    private String FACTORY_NAME;

    /**
     * 产线
     */
    @Excel(name = "产线")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * 质检工位编号
     */
    @Excel(name = "质检工位编号")
    @JsonProperty("STATION_CODE")
    private String STATION_CODE;

    /**
     * 质检工位名称
     */
    @Excel(name = "质检工位名称")
    @JsonProperty("STATION_NAME")
    private String STATION_NAME;

    /**
     * 检测数不合格数
     */
    @Excel(name = "检测数不合格数")
    @JsonProperty("REWORK_NUMBER")
    private Long REWORK_NUMBER;

    /**
     * 合计数量
     */
    @Excel(name = "合计数量")
    @JsonProperty("INSPECTION_NUMBER")
    private Long INSPECTION_NUMBER;

    /**
     * 合格率(%)
     */
    @Excel(name = "合格率(%)")
    @JsonProperty("RATE")
    private String RATE;

    public Long getINSPECTION_NUMBER() {
        return INSPECTION_NUMBER;
    }

    public void setINSPECTION_NUMBER(Long INSPECTION_NUMBER) {
        this.INSPECTION_NUMBER = INSPECTION_NUMBER;
    }

    public String getFACTORY_NAME() {
        return FACTORY_NAME;
    }

    public void setFACTORY_NAME(String FACTORY_NAME) {
        this.FACTORY_NAME = FACTORY_NAME;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getSTATION_CODE() {
        return STATION_CODE;
    }

    public void setSTATION_CODE(String STATION_CODE) {
        this.STATION_CODE = STATION_CODE;
    }

    public String getSTATION_NAME() {
        return STATION_NAME;
    }

    public void setSTATION_NAME(String STATION_NAME) {
        this.STATION_NAME = STATION_NAME;
    }

    public Long getREWORK_NUMBER() {
        return REWORK_NUMBER;
    }

    public void setREWORK_NUMBER(Long REWORK_NUMBER) {
        this.REWORK_NUMBER = REWORK_NUMBER;
    }

    public String getRATE() {
        return RATE;
    }

    public void setRATE(String RATE) {
        this.RATE = RATE;
    }

    @Override
    public String toString() {
        return "QualityDefectsStatisticalAnalysis{" +
                "FACTORY_NAME='" + FACTORY_NAME + '\'' +
                ", PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", STATION_CODE='" + STATION_CODE + '\'' +
                ", STATION_NAME='" + STATION_NAME + '\'' +
                ", REWORK_NUMBER=" + REWORK_NUMBER +
                ", RATE='" + RATE + '\'' +
                '}';
    }
}
